<?php

namespace App\Http\Resources;

use PhpParser\Node\Expr\Cast\Bool_;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Resources\Json\JsonResource;

class BlogPostResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'user_name' => $this->user->name,
            'user_image' => $this->user->picture,
            'user_birthday' => $this->user->created_at->toFormattedDateString(),
            'post_image' => $this->blogFile->post_image ?? '',
            'post_description' => $this->description,
            'question' => $this->question->name,
            'total_likes' => $this->likes()->count(),
            'is_like' => $this->isLike($this->likes),
            'created_at' => $this->created_at->toDateString(),
            'comments' => PostCommentResource::collection($this->comments)
        ];
    }

    public function isLike(object $likes): bool
    {
        foreach ($likes as $like) {
            return $like->user_id === Auth::id() ?? true;
        }

        return false;
    }
}
