<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PostCommentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'user_name' => $this->user->name,
            'user_image' => $this->user->picture,
            'user_birthday' => $this->user->created_at->toFormattedDateString(),
            'post_image' => $this->post_image,
            'description' => $this->description,
            'is_like' => false,
            'created_at' => $this->created_at->toDateString(),
            'replies' => $this->collection($this->replies)
        ];
    }
}
