<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasMany;

class PostComment extends Model
{
    use HasFactory;

    protected $fillable = [
        'blog_post_id',
        'parent_id',
        'child_id',
        'description',
        'post_image',
        'post_video_link',
        'date',
        'status',
        'created_by',
        'updated_by',
        'deleted_by',
        'deleted_at',
        'valid'
    ];

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class, 'created_by', 'id');
    }

    public function comments(): HasMany
    {
        return $this->hasMany(PostComment::class, 'parent_id', 'id');
    }

    public function replies(): HasMany
    {
        return $this->hasMany(PostComment::class, 'parent_id', 'id')
            ->with('comments');
    }
}
