<?php

namespace Database\Factories;

use App\Models\Question;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;

class BlogPostFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $questionId = Question::all()->random()->id;
        $userId = User::all()->random()->id;

        return [
            'question_id' => $questionId,
            'description' => $this->faker->sentence(100),
            'public_status' => 1,
            'date' => now(),
            'status' => 1,
            'created_by' => $userId,
            'updated_by' => $userId,
            'valid' => 0
        ];
    }
}
