<?php

namespace Database\Factories;

use App\Models\Relationship;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;

class QuestionFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        $relationshipId = Relationship::all()->random()->id;
        $userId = User::all()->random()->id;

        return [
            'relationship_id' => $relationshipId,
            'name' => $this->faker->sentence(8),
            'status' => 1,
            'created_by' => $userId,
            'updated_by' => $userId,
            'valid' => 0
        ];
    }
}
