<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('blog_posts', function (Blueprint $table) {
            $table->id();
            $table->foreignId('question_id')->constrained('questions')->onUpdate('cascade')->onDelete('cascade');
            $table->longText('description')->nullable();
            $table->integer('public_status')->default(1);
            $table->integer('total_like')->unsigned()->default(1)->comment('my comment')->change();
            $table->integer('total_share')->unsigned()->default(1)->comment('my comment')->change();
            $table->dateTime('date', $precision = 0);
            $table->boolean('status')->default(1)->comment('1 = Active | 0 = Inactive');
            $table->foreignIdFor(\App\Models\User::class, 'created_by');
            $table->foreignIdFor(\App\Models\User::class, 'updated_by')->nullable();
            $table->foreignIdFor(\App\Models\User::class, 'deleted_by')->nullable();
            $table->softDeletes($column = 'deleted_at', $precision = 0);
            $table->timestamps();
            $table->boolean('valid')->comment('1 = Active | 0 = Inactive');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('blog_posts');
    }
};